Last Comment Bug 815359 - Bing Maps v7 Ajax Pushpin Incompatibility
: Bing Maps v7 Ajax Pushpin Incompatibility
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: 17 Branch
: x86_64 Windows 7
: -- normal with 2 votes (vote)
: mozilla20
Assigned To: :Ehsan Akhgari (in Taipei, laggy response time)
: Manuela Muntean [Away]
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: stdint
  Show dependency treegraph
 
Reported: 2012-11-26 14:19 PST by David St.Clair
Modified: 2014-01-10 10:42 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
+
verified
+
verified
+
verified


Attachments
sample html (445 bytes, text/html)
2012-11-26 17:11 PST, Alice0775 White
no flags Details
Patch (v1) (889 bytes, patch)
2012-11-27 18:08 PST, :Ehsan Akhgari (in Taipei, laggy response time)
bzbarsky: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
lukasblakk+bugs: approval‑mozilla‑esr17+
Details | Diff | Splinter Review
Test (1.48 KB, patch)
2012-11-27 18:40 PST, :Ehsan Akhgari (in Taipei, laggy response time)
joe: review+
ehsan: checkin+
Details | Diff | Splinter Review

Description User image David St.Clair 2012-11-26 14:19:00 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20121119183901

Steps to reproduce:

Go to the Bing Maps v7 Interactive SDK:
http://www.bingmapsportal.com/isdk/ajaxv7#Pushpins9

(Pushpin attach click event is selected)


Actual results:

Clicked on the pushpin. Nothing happens. Click to the right of the pushpin and the click event is fired (in alert section box to the right you'll see text appear).


Expected results:

Clicking on the pushpin should fire the click event.

Confirmed that Firefox 16 does not have this issue.
Comment 1 User image Alice0775 White 2012-11-26 17:11:04 PST
Created attachment 685412 [details]
sample html

I think that the problem is that the handling of the hotspot coordinates of the cur file is different between Firefox16 and Firefox17+.

cursor: url("http://ecn.dev.virtualearth.net/mapcontrol/v7.0/7.0.20121012100453.93/cursors/grab.cur"), move;


Regression window
Good:
http://hg.mozilla.org/mozilla-central/rev/4d59eb5ac2c6
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120822022846
Bad:
http://hg.mozilla.org/mozilla-central/rev/88e47f6905e9
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120822090350
Pshlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=4d59eb5ac2c6&tochange=88e47f6905e9

Regressed by: Bug 579517
Comment 2 User image Boris Zbarsky [:bz] (still a bit busy) 2012-11-26 18:30:17 PST
At a guess, it's these changes in nsICODecoder::SetHotSpotIfCursor that broke things:

   nsCOMPtr<nsISupportsPRUint32> intwrapx = 
-    do_CreateInstance("@mozilla.org/supports-PRUint32;1");
+    do_CreateInstance("@mozilla.org/supports-uint32_t;1");
   nsCOMPtr<nsISupportsPRUint32> intwrapy = 
-    do_CreateInstance("@mozilla.org/supports-PRUint32;1");
+    do_CreateInstance("@mozilla.org/supports-uint32_t;1");

Ehsan, can you take a look?
Comment 3 User image Masatoshi Kimura [:emk] 2012-11-26 19:11:44 PST
Why the interface name kept to nsISupportsPRUint32 while the contract ID has been changed to "@mozilla.org/supports-uint32_t;1"? At least they should be consistent.
Comment 4 User image Boris Zbarsky [:bz] (still a bit busy) 2012-11-26 19:16:32 PST
The contract ID didn't change, except in that one method.  That's the point.
Comment 5 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:00:54 PST
Holy cow!!!
Comment 6 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:08:11 PST
Created attachment 685920 [details] [diff] [review]
Patch (v1)
Comment 7 User image Boris Zbarsky [:bz] (still a bit busy) 2012-11-27 18:09:02 PST
Comment on attachment 685920 [details] [diff] [review]
Patch (v1)

r=me, but any way we can add a testcase?
Comment 8 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:11:43 PST
Comment on attachment 685920 [details] [diff] [review]
Patch (v1)

[Approval Request Comment]
Regression caused by (bug #): bug 579517
User impact if declined: this will break clicking on regions with a custom .ico cursor.
Testing completed (on m-c, etc.): locally.
Risk to taking this patch (and alternatives if risky): as small as it gets!
Comment 9 User image Joe Drew (not getting mail) 2012-11-27 18:15:34 PST
oh good lord
Comment 10 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:16:18 PST
(In reply to comment #7)
> r=me, but any way we can add a testcase?

Do you have any idea how we can test this?  I'm not sure I do.
Comment 11 User image Lukas Blakk [:lsblakk] use ?needinfo 2012-11-27 18:18:31 PST
we'll take this low-risk fix in the 17.0.1 going to build tomorrow so that we reduce our shipping of this regression (only with our currently throttled early 17.0 users).  Please land to esr17 relbranch and default.
Comment 12 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:40:15 PST
Created attachment 685929 [details] [diff] [review]
Test
Comment 13 User image Joe Drew (not getting mail) 2012-11-27 18:41:16 PST
Comment on attachment 685929 [details] [diff] [review]
Test

there is a world in which I would r- this for being in the wrong file, but I am not sure this is that world
Comment 14 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:43:10 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/a2ee1d41edff
Comment 15 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:47:29 PST
https://hg.mozilla.org/releases/mozilla-release/rev/535035b8cb25
Comment 17 User image :Ehsan Akhgari (in Taipei, laggy response time) 2012-11-27 18:56:26 PST
Comment on attachment 685929 [details] [diff] [review]
Test

https://hg.mozilla.org/integration/mozilla-inbound/rev/109e402b0b24
Comment 20 User image Manuela Muntean [Away] 2013-02-18 05:02:06 PST
Verified on Firefox 19 RC, build ID: 20130215130331.

Also verified on Firefox 17.0.3 ESR, build ID: 20130215125822.

After clicking on the pushpin, the click event is fired.
Comment 21 User image Simona B [:simonab ] 2013-02-21 02:47:10 PST
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20100101 Firefox/20.0
Build ID: 20130220104816

Verified as fixed on Firefox 20 beta 1 - clicking on the pushpin fires the click event.
Comment 22 User image Tracy Walker [:tracy] 2014-01-10 10:42:23 PST
mass remove verifyme requests greater than 4 months old

Note You need to log in before you can comment on or make changes to this bug.